Bug 3874 - [UPDATE REQUEST] clamtk 5.03-5.05
: [UPDATE REQUEST] clamtk 5.03-5.05
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-24 16:44 MSK by Giovanni Mariani
Modified: 2014-04-07 11:28 MSD (History)
3 users (show)

See Also:
RPM Package: clamtk
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Giovanni Mariani 2014-03-24 16:44:44 MSK
New release 5.05.
Fixed Requires for perl package (Text::CSV).
Comment 1 Giovanni Mariani 2014-03-24 16:46:13 MSK
Advisory: update clamtk to version 5.05.

https://abf.rosalinux.ru/build_lists/1722208
https://abf.rosalinux.ru/build_lists/1722209
Comment 2 Vladimir Potapov 2014-03-27 18:22:38 MSK
(In reply to comment #1)
> Advisory: update clamtk to version 5.05.
> 
> https://abf.rosalinux.ru/build_lists/1722208
> https://abf.rosalinux.ru/build_lists/1722209
x64 system, after update

$ clamtk
Cannot decode string with wide characters at /usr/lib/perl5/5.14.2/x86_64-linux-thread-multi/Encode.pm line 174.
Comment 3 Giovanni Mariani 2014-03-27 23:52:49 MSK
Did you get the error while doing something or simply by starting the program?
In the latter case: did you have gettext installed on the test system?

In the clamtk sources there are five files using the "decode" function from Encode.pm: App.pm, History.pm, Quarantine.pm, Results.pm and Scan.pm.
Only the first one call "decode" after gettext, the others, are "regular" decode calls AFAICT; and the same should be involved in the simple action of starting clamtk, while the other should require the selection of a specific action.

So, if the answers to the above questions are respectively "yes" and "no",
then we are lacking a "Requires: gettext" in the spec file.
Otherwise I have no idea why the decode fn fails: all the others calls looks correct to my...

However is a bit weird that you got a failure only on x86_64: if I'm right with my gettext hypothesis, then you should get the same failure also on i586...
Comment 4 Vladimir Potapov 2014-03-28 09:16:47 MSK
1) This bug was in simple start
2) On i686
$clamtk 
Cannot decode string with wide characters at /usr/lib/perl5/5.14.2/i386-linux-thread-multi/Encode.pm line 174.
3) ok, add Requires: gettext to spec, create new containers and re-set qa_flag 
**************
QA Denied
Comment 5 Giovanni Mariani 2014-03-29 14:44:23 MSK
Advisory:
Fixed the Requires for gettext as per comment #4.

https://abf.rosalinux.ru/build_lists/1726581
https://abf.rosalinux.ru/build_lists/1726582
Comment 6 Vladimir Potapov 2014-03-29 15:25:43 MSK
(In reply to comment #5)
> Advisory:
> Fixed the Requires for gettext as per comment #4.
> 
> https://abf.rosalinux.ru/build_lists/1726581
> https://abf.rosalinux.ru/build_lists/1726582

$clamtk
Cannot decode string with wide characters at /usr/lib/perl5/5.14.2/i386-linux-thread-multi/Encode.pm line 174.

:-(
I check, gettext-0.18.3-1-rosa2012.1.i586 already installed. 

Previous version of the program work correct.
Comment 7 Giovanni Mariani 2014-03-29 16:23:12 MSK
(In reply to comment #6)
> (In reply to comment #5)
> > Advisory:
> > Fixed the Requires for gettext as per comment #4.
> > 
> > https://abf.rosalinux.ru/build_lists/1726581
> > https://abf.rosalinux.ru/build_lists/1726582
> 
> $clamtk
> Cannot decode string with wide characters at
> /usr/lib/perl5/5.14.2/i386-linux-thread-multi/Encode.pm line 174.
> 
> :-(
> I check, gettext-0.18.3-1-rosa2012.1.i586 already installed. 
> 
> Previous version of the program work correct.
Uhm...
I'm afraid we are in the "I have no idea why this happens" dept...
Here it works well since 5.01 without troubles.

I will try to get in touch with the developers upstream about this.
To have some other data:
what LANG and LANGUAGE do you have set when trying clamtk?
Could you try to set LANG=en_GB.UTF-8 and see if something change?

Retiring update request for now...
Comment 8 Vladimir Potapov 2014-03-29 16:54:12 MSK
(In reply to comment #7)
> > Previous version of the program work correct.
> Uhm...
> I'm afraid we are in the "I have no idea why this happens" dept...
> Here it works well since 5.01 without troubles.
In repo  exist 4.45-6 version, not 5.01. I don't test 5.01 but 4.45 work correct.
Comment 9 Vladimir Potapov 2014-03-29 17:29:43 MSK
(In reply to comment #7)th the developers upstream about this.
> To have some other data:
> what LANG and LANGUAGE do you have set when trying clamtk?
> Could you try to set LANG=en_GB.UTF-8 and see if something change?
no effect. 

LANG=en_GB.UTF-8  clamtk
Cannot decode string with wide characters at /usr/lib/perl5/5.14.2/i386-linux-thread-multi/Encode.pm line 174.
Comment 10 Vladimir Potapov 2014-03-29 17:31:37 MSK
... but
$ LANGUAGE=en_GB:en clamtk
WORK!
Comment 11 Vladimir Potapov 2014-03-29 17:46:34 MSK
https://code.google.com/p/clamtk/issues/detail?id=6
Comment 12 Giovanni Mariani 2014-03-29 17:50:12 MSK
(In reply to comment #10)
> ... but
> $ LANGUAGE=en_GB:en clamtk
> WORK!
OK I think we have something for upstream:
the trouble is with the UTF-8 part...
possibly clamtk passes something wrong to the function in Encode.pm
what was the original setting you used for the first test?

I will pass the info in the bug issue you found...
Comment 13 Vladimir Potapov 2014-03-29 19:16:50 MSK
(In reply to comment #12)
> (In reply to comment #10)
> > ... but
> > $ LANGUAGE=en_GB:en clamtk
> > WORK!
> OK I think we have something for upstream:
> the trouble is with the UTF-8 part...
> possibly clamtk passes something wrong to the function in Encode.pm
> what was the original setting you used for the first test?
> 
> I will pass the info in the bug issue you found...

I have russian language settings.
LANG=ru_RU.UTF-8
Comment 14 Giovanni Mariani 2014-03-29 22:54:37 MSK
Advisory: try to fix failing start

Third time like a charm, they say...
I bet that in the failing installations you have gettext installed but not
*perl-Locale-gettext*...

I did a complete audit of all the clamtk perl files and took notice of all the perl modules imported, then verified the rpm Requires accordingly: I noticed we were lacking exactly the above import and exactly in App.pm, ie where there is the only call to gettext...

Please give it a try
https://abf.rosalinux.ru/build_lists/1726700
https://abf.rosalinux.ru/build_lists/1726701
Comment 15 Vladimir Potapov 2014-03-30 13:24:53 MSD
(In reply to comment #14)
> Advisory: try to fix failing start
> 
> Third time like a charm, they say...
> I bet that in the failing installations you have gettext installed but not
> *perl-Locale-gettext*...
> 
> I did a complete audit of all the clamtk perl files and took notice of all
> the perl modules imported, then verified the rpm Requires accordingly: I
> noticed we were lacking exactly the above import and exactly in App.pm, ie
> where there is the only call to gettext...
> 
> Please give it a try
> https://abf.rosalinux.ru/build_lists/1726700
> https://abf.rosalinux.ru/build_lists/1726701

Cannot decode string with wide characters at /usr/lib/perl5/5.14.2/i386-linux-thread-multi/Encode.pm line 174.
:-(

P.S. Please, for next builds, increase build number.
for test use $LANGUAGE=ru_RU clamtk
Comment 16 Denis Silakov 2014-03-31 10:30:50 MSD
One of the possible solutions is to edit /usr/bin/clamtk and comment out the following string:

bind_textdomain_codeset( 'clamtk', 'UTF-8' );

It looks like all messages are already in UTF-8, so these conversions fail.

But then one should check if clamtk UI is really localized.
Comment 17 Giovanni Mariani 2014-03-31 18:51:07 MSD
(In reply to comment #16)
> One of the possible solutions is to edit /usr/bin/clamtk and comment out the
> following string:
> bind_textdomain_codeset( 'clamtk', 'UTF-8' );
> It looks like all messages are already in UTF-8, so these conversions fail.
I think you are right...
at least, doing as you suggested seems to avoid at all the error message and clamtk starts as expected.

> But then one should check if clamtk UI is really localized.
For a vast majority, yes:
there are only 3 entries in the main window remaining untranslated (Scheduler, Scan a file and Scan a directory)...
But perhaps this is another bug (albeit minor).

Vladimir, is the above solution enough for passing the QA or you would like to have resolved also the minor issue of the 3 untranslated entries?
In the first case I will do a final build & corresponding QA request; otherwise we will have to wait for the developers to provide the needed translations
(sorry, I cannot speak Russian or read Cyrillic alphabet: so I I cannot provide the translations myself).
Comment 18 Vladimir Potapov 2014-03-31 19:32:47 MSD
(In reply to comment #17)
> > But then one should check if clamtk UI is really localized.
> For a vast majority, yes:
> there are only 3 entries in the main window remaining untranslated
> (Scheduler, Scan a file and Scan a directory)...
"Планировщик", "Проверить файл", "Проверить папку"
Comment 19 Giovanni Mariani 2014-04-02 17:35:06 MSD
Advisory:
Fixed the problem with $LANGUAGE setting at the program start (see:
https://code.google.com/p/clamtk/issues/detail?id=15&can=1)
Bumped rel number

https://abf.rosalinux.ru/build_lists/1733132
https://abf.rosalinux.ru/build_lists/1733133

Vladimir, if you would like to help and have the time to do it, there are other 16 entries untranslated in Russian in clamtk; see:
https://translations.launchpad.net/clamtk/trunk/+pots/clamtk/ru/+translate.
Comment 20 Vladimir Potapov 2014-04-04 12:49:55 MSD
(In reply to comment #19)
> Advisory:
> Fixed the problem with $LANGUAGE setting at the program start (see:
> https://code.google.com/p/clamtk/issues/detail?id=15&can=1)
> Bumped rel number
> 
> https://abf.rosalinux.ru/build_lists/1733132
> https://abf.rosalinux.ru/build_lists/1733133
It's work!

> Vladimir, if you would like to help and have the time to do it, there are
> other 16 entries untranslated in Russian in clamtk; see:
> https://translations.launchpad.net/clamtk/trunk/+pots/clamtk/ru/+translate.
I translated items. May be to rebuild clamtk with translation?
Comment 21 Giovanni Mariani 2014-04-04 20:40:41 MSD
(In reply to comment #20)
> It's work!
Very well, finally...
Thank you for your patience.

> 
> I translated items. May be to rebuild clamtk with translation?
They will be included in the next release 5.06 (due for the next month I think...).
Comment 22 Vladimir Potapov 2014-04-07 04:08:56 MSD
clamtk-5.05-2
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1733132/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1733133/x86_64/main/release/
***************************** Advisory ***************************
update clamtk to version 5.05
******************************************************************
QA Verified